Update Loyalty Program Custom Fields
curl --request PUT \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customFields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"type": "text",
"displayName": "<string>",
"defaultValue": "<string>",
"points": 123,
"options": "<string>",
"required": true
}
]
'import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/customFields"
payload = [
{
"name": "<string>",
"type": "text",
"displayName": "<string>",
"defaultValue": "<string>",
"points": 123,
"options": "<string>",
"required": True
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
type: 'text',
displayName: '<string>',
defaultValue: '<string>',
points: 123,
options: '<string>',
required: true
}
])
};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/customFields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Loyalty
Update Loyalty Program Custom Fields
Update Loyalty Program Custom Fields
Modify or replace the custom fields for a specific loyalty program.
- customFields: A list of new custom fields to be applied.
- programId: The unique identifier of the loyalty program.
- Returns: A list of updated custom fields.
PUT
/
v2
/
loyalty
/
programs
/
{programId}
/
customFields
Update Loyalty Program Custom Fields
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
⌘I
